<?php ini_set("memory_limit", "200000000"); // for large images so that we do not get "Allowed memory exhausted"?>
<?php
//die ("TEST");
// upload the file
if ((isset($_POST["submitted_form"])) && ($_POST["submitted_form"] == "image_upload_form") && ($_SESSION['FirstName'] !== "")) {
	//echo "file type:".$_FILES["image_upload_box"]["type"];
	// file needs to be jpg,gif,bmp,x-png and 4 MB max
	if (($_FILES["image_upload_box"]["type"] == "image/jpeg" || $_FILES["image_upload_box"]["type"] == "image/pjpeg" || $_FILES["image_upload_box"]["type"] == "image/gif" || $_FILES["image_upload_box"]["type"]=="image/x-png" || $_FILES['image_upload_box']['type']=="image/png")&&($_FILES['image_upload_box']['size']<4000000))
	{
		

		// some settings
		$max_upload_width = 2592;
		$max_upload_height = 1944;
		  
		// if user chosed properly then scale down the image according to user preferances
		if(isset($_REQUEST['max_width_box']) and $_REQUEST['max_width_box']!='' and $_REQUEST['max_width_box']<=$max_upload_width){
			$max_upload_width = $_REQUEST['max_width_box'];
		}    
		if(isset($_REQUEST['max_height_box']) and $_REQUEST['max_height_box']!='' and $_REQUEST['max_height_box']<=$max_upload_height){
			$max_upload_height = $_REQUEST['max_height_box'];
		}	

		
		// if uploaded image was JPG/JPEG
		if($_FILES["image_upload_box"]["type"] == "image/jpeg" || $_FILES["image_upload_box"]["type"] == "image/pjpeg" || $_FILES["image_upload_box"]["type"] == "image/jpg"){	
			$image_source = imagecreatefromjpeg($_FILES["image_upload_box"]["tmp_name"]);
			$ext = ".jpg";
		}		
		// if uploaded image was GIF
		if($_FILES["image_upload_box"]["type"] == "image/gif"){	
			$image_source = imagecreatefromgif($_FILES["image_upload_box"]["tmp_name"]);
			$ext = ".gif";
		}	
		// BMP doesn't seem to be supported so remove it form above image type test (reject bmps)	
		// if uploaded image was BMP
		//if($_FILES["image_upload_box"]["type"] == "image/bmp"){
			//$image_source = imagecreatefromwbmp($_FILES["image_upload_box"]["tmp_name"]);
		//}
		// if uploaded image was PNG
		if($_FILES["image_upload_box"]["type"] == "image/x-png" || $_FILES["image_upload_box"]["type"] == "image/png"){
			$image_source = imagecreatefrompng($_FILES["image_upload_box"]["tmp_name"]);
			$ext = ".png";
		}
		
    $name="coupon" . $editcoupon . $ext ;
    
    
		$remote_file = "../images/".$_FILES["image_upload_box"]. $name;
		//echo $remote_file  ;
		//$remote_file = "../images/". $name;
		imagejpeg($image_source,$remote_file,100);
		chmod($remote_file,0644);

	

		// get width and height of original image
		list($image_width, $image_height) = getimagesize($remote_file);
	
		if($image_width>$max_upload_width || $image_height >$max_upload_height){
			$proportions = $image_width/$image_height;
			
			if($image_width>$image_height){
				$new_width = $max_upload_width;
				$new_height = round($max_upload_width/$proportions);
			}		
			else{
				$new_height = $max_upload_height;
				$new_width = round($max_upload_height*$proportions);
			}		
			
			
			$new_image = imagecreatetruecolor($new_width , $new_height);
			$image_source = imagecreatefromjpeg($remote_file);
			
			imagecopyresampled($new_image, $image_source, 0, 0, 0, 0, $new_width, $new_height, $image_width, $image_height);
			imagejpeg($new_image,$remote_file,100);
			
			imagedestroy($new_image);
		}
		
		imagedestroy($image_source);
		
    //all ok, msg here
		//header("Location: ". $_SERVER['PHP_SELF'] . "?key=" . $nt[couponNumber] . "&upload_message=image uploaded&upload_message_type=success&show_image=".$_FILES["image_upload_box"]["name"]);
		//exit;
  $pathname = "../images/". $name ;
		rename($remote_file, $pathname);
		//save image name to coupon table
		$query1 = "update coupon set imageName = '" . $name . "' where couponNumber =" . $editcoupon ;
		mysql_query($query1);
		
		//echo ' upload ok.';
	} else{
    //error during upload, msg here
		//header("Location: ". $_SERVER['PHP_SELF'] . "?key=" . $nt[couponNumber] . "&upload_message=make sure the file is jpg, gif or png and that is smaller than 4MB&upload_message_type=error");
		//exit;
		echo ' error during image upload.';
	}
}
?>